Sandbox Get List of sub-Wallet Addresses
curl --request GET \
--url https://api.openxswitch.com/v1/sandbox/sub-wallet/address/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v1/sandbox/sub-wallet/address/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v1/sandbox/sub-wallet/address/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "34303043....",
"coin": "Bitcoin",
"chain": "Ethereum",
"network": "Mainnet",
"address": "0x123456789abcdef",
"workspaceId": "60f7d4b5b4d5c909a85b8d7e",
"createdAt": null,
"walletId": "63e1b8c2f18e310bb11f8a9c",
"tag": "Memo123"
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Sub-Wallet Endpoints
Sandbox Get List of sub-Wallet Addresses
Retrieve a paginated list of Sandbox sub-wallet addresses.
GET
/
v1
/
sandbox
/
sub-wallet
/
address
/
list
Sandbox Get List of sub-Wallet Addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the sub-wallet for retrieving addresses
The coin type to filter addresses by
The blockchain network to filter addresses by
The maximum number of results per page
The page number for paginated results
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)